# $Revision: 1.10 $, $Date: 2009/09/11 06:50:09 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	DBI-DATA-Schema
Summary:	Class::DBI::DATA::Schema - execute Class::DBI SQL from DATA sections
Summary(pl.UTF-8):	Class::DBI::DATA::Schema - wykonanie SQL-a w oparciu o Class::DBI z sekcji DATA
Name:		perl-Class-DBI-DATA-Schema
Version:	1.00
Release:	4
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fb5b44fefc7095dde22c752f43691f54
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-DBI >= 0.94
BuildRequires:	perl-Test-Simple >= 0.45
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension to Class::DBI which injects a method into your
class to find and execute all SQL statements in the DATA section of
the package.

%description -l pl.UTF-8
Ta klasa jest rozszerzeniem Class::DBI umieszczającym w dziedziczącej
klasie metodę do znajdywania i wykonywania wszystkich instrukcji SQL-a
z sekcji DATA pakietu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Class/DBI/DATA
%{perl_vendorlib}/Class/DBI/DATA/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-DATA-Schema.spec,v $
Revision 1.10  2009/09/11 06:50:09  amateja
- release 4

Revision 1.9  2009/06/18 13:32:25  amateja
- problems with tests, switched off by default

Revision 1.8  2008/02/23 21:59:48  glen
- release 3

Revision 1.7  2008-01-14 20:54:23  glen
- missing dirs; rel 2

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2006/02/17 16:14:40  glen
- 1.00

Revision 1.3  2004/12/09 21:04:24  qboosh
- pl desc

Revision 1.2  2004/12/09 15:45:12  ankry
- pl summary, kill perldoc formatting

Revision 1.1  2004/12/09 14:57:51  radek
- new
